> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets the effective configuration for model deployments using the resource configuration

> Gets the effective configuration for model deployments using the resource configuration.



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations/{resourceConfigurationId}/effectiveModelDeploymentSchema
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations/{resourceConfigurationId}/effectiveModelDeploymentSchema:
    get:
      tags:
        - Model deployment
      summary: >-
        Gets the effective configuration for model deployments using the
        resource configuration
      description: >-
        Gets the effective configuration for model deployments using the
        resource configuration.
      operationId: getEffectiveModelDeploymentSchema
      parameters:
        - description: ID of Deployment Target the Resource Configuration belongs to
          in: path
          name: deploymentTargetId
          required: true
          schema:
            type: string
        - description: ID of Resource Configuration
          in: path
          name: resourceConfigurationId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EffectiveModelDeploymentSchema'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    EffectiveModelDeploymentSchema:
      description: Effective Model Deployment Schema
      properties:
        dataPlaneId:
          description: ID of the data plane where the operator is deployed
          type: string
        deploymentTargetConfiguration:
          $ref: '#/components/schemas/DeploymentTargetConfiguration'
        deploymentTargetLastModified:
          description: >-
            Timestamp of the last update to the deployment target (will be the
            creation timestamp on creation)
          format: date-time
          type: string
        deploymentTargetTypeId:
          description: UUID for the Deployment Target Type
          type: string
        deploymentTargetTypeName:
          description: Internal name for the Deployment Target Type
          example: aws
          type: string
        deploymentTargetTypeOperatorVersion:
          description: Version of the operator
          example: 1.0.2
          type: string
        modelDeploymentConfigurationSchemas:
          $ref: '#/components/schemas/SharedAndModelSpecificSchemas'
        modelDeploymentCustomResourceDefinition:
          $ref: '#/components/schemas/DeploymentCustomResourceDefinition'
        modelDeploymentStateSchemas:
          $ref: '#/components/schemas/SharedAndModelSpecificSchemas'
        modelDeploymentSupportedModelSources:
          description: Model sources supported by Domino
          example:
            - MODELREGISTRY
          items:
            $ref: '#/components/schemas/ModelSource'
          type: array
        modelDeploymentTypeConfigurationSchemas:
          $ref: '#/components/schemas/DeploymentTypeSpecificSchemas'
        modelDeploymentTypeStateSchemas:
          $ref: '#/components/schemas/DeploymentTypeSpecificSchemas'
        resourceConfigurationLastModified:
          description: >-
            Timestamp of the last update to the resource configuration (will be
            the creation timestamp on creation)
          format: date-time
          type: string
      required:
        - deploymentTargetTypeId
        - deploymentTargetTypeName
        - deploymentTargetTypeOperatorVersion
        - dataPlaneId
        - deploymentTargetConfiguration
        - deploymentTargetLastModified
        - resourceConfigurationLastModified
        - modelDeploymentSupportedModelSources
        - modelDeploymentCustomResourceDefinition
        - modelDeploymentConfigurationSchemas
        - modelDeploymentTypeConfigurationSchemas
        - modelDeploymentStateSchemas
        - modelDeploymentTypeStateSchemas
      type: object
    DeploymentTargetConfiguration:
      description: >-
        The Deployment Target configuration values for the Deployment Target and
        Resource Configuration
      properties:
        resourceConfig:
          type: object
        targetConfig:
          type: object
      required:
        - targetConfig
        - resourceConfig
      type: object
    SharedAndModelSpecificSchemas:
      description: Shared and Model Specific configs.
      properties:
        modelSpecificSchema:
          $ref: '#/components/schemas/JSONSchema'
        sharedSchema:
          $ref: '#/components/schemas/JSONSchema'
      required:
        - sharedSchema
        - modelSpecificSchema
      type: object
    DeploymentCustomResourceDefinition:
      description: Custom Resource Definition for Model Deployment
      properties:
        group:
          description: The group of the Custom Resource Definition
          type: string
        kind:
          description: The kind of the Custom Resource Definition
          type: string
        version:
          description: The version of the Custom Resource Definition
          type: string
      required:
        - group
        - kind
        - version
      type: object
    ModelSource:
      enum:
        - MODELREGISTRY
      type: string
    DeploymentTypeSpecificSchemas:
      additionalProperties:
        $ref: '#/components/schemas/SharedAndModelSpecificSchemas'
      description: >-
        The supported deployment types.  There must be one property present for
        each deployment type.
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    JSONSchema:
      description: Core schema meta-schema
      properties:
        additionalProperties:
          $ref: '#/components/schemas/JSONSchema'
        default: {}
        description:
          type: string
        enum:
          items: {}
          minItems: 1
          type: array
          uniqueItems: true
        example: {}
        format:
          description: Superset of valid JSON Schema and OpenAPI formats.
          enum:
            - date-time
            - time
            - date
            - duration
            - email
            - idn-email
            - hostname
            - idn-hostname
            - ipv4
            - ipv6
            - uuid
            - uri
            - uri-reference
            - iri
            - iri-reference
            - uri-template
            - json-pointer
            - relative-json-pointer
            - regex
            - float
            - double
            - int32
            - int64
            - password
            - byte
            - binary
            - multiline
            - password-multiline
          type: string
        id:
          type: string
        items:
          $ref: '#/components/schemas/JSONSchema'
        maxItems:
          $ref: '#/components/schemas/PositiveInteger'
        maxLength:
          $ref: '#/components/schemas/PositiveInteger'
        maxProperties:
          $ref: '#/components/schemas/PositiveInteger'
        maximum:
          type: number
        minItems:
          $ref: '#/components/schemas/PositiveIntegerDefault0'
        minLength:
          $ref: '#/components/schemas/PositiveIntegerDefault0'
        minProperties:
          $ref: '#/components/schemas/PositiveIntegerDefault0'
        minimum:
          type: number
        pattern:
          format: regex
          type: string
        properties:
          additionalProperties:
            $ref: '#/components/schemas/JSONSchema'
          default: {}
          type: object
        required:
          $ref: '#/components/schemas/StringArray'
        title:
          type: string
        type:
          $ref: '#/components/schemas/JSONSchemaType'
        uniqueItems:
          default: false
          type: boolean
      type: object
    PositiveInteger:
      minimum: 0
      type: integer
    PositiveIntegerDefault0:
      default: 0
      minimum: 0
      type: integer
    StringArray:
      items:
        type: string
      minItems: 1
      type: array
      uniqueItems: true
    JSONSchemaType:
      enum:
        - array
        - boolean
        - integer
        - 'null'
        - number
        - object
        - string
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Gets a Resource Configuration](/6.3/api-reference/model-deployment/gets-a-resource-configuration.md)
- [Gets a Deployment Target](/6.3/api-reference/model-deployment/gets-a-deployment-target.md)
- [Gets a Deployment Target Type](/6.3/api-reference/model-deployment/gets-a-deployment-target-type.md)
- [Gets all non-archived Resource Configurations based on the provided filters](/6.3/api-reference/model-deployment/gets-all-non-archived-resource-configurations-based-on-the-provided-filters.md)
